Status: Closed Start date: Mar 12, 2018

Priority: Normal Due date:  

Assignee: Bart Jongejan % Done: 100%

Category: Other Estimated time: 0.00 hour

Infrastructure: Production   

Description

I have set Interpreter Version to "Ubuntu 16.04", but the project runs under Ubuntu 14.04. (I know that because I have inserted the

line 'lsb_release -a >> out.txt' in my script). What should I do to ensure that the project is run under Ubuntu 16.04? (The software

cannot run under 14.04, I get the error that is described here: 

https://stackoverflow.com/questions/36816570/glibcxx-3-4-21-not-defined-in-file-libstdc-so-6-with-link-time-reference#36816933 )

The project is CLARIN_DK_CREATE_MODELS/Pcrf Seq2seq Train

History

#1 - Mar 13, 2018 09:34 AM - Roberto Cirillo

- Project changed from 31 to D4Science Infrastructure

- Category set to Other

- Assignee set to _InfraScience Systems Engineer

- Target version changed from Silver Integration to UnSprintable

- Infrastructure Production added

#2 - Mar 13, 2018 11:59 AM - Andrea Dell'Amico

@bartj@hum.ku.dk the D4Science inffrastructure is based on Ubuntu 14.04, there are plans to upgrade but not before the year ends (surely before

2019-04, when Ubuntu 14.04 will not be supported anymore).

Following the discussion you just linked, I can say that you can try to compile your project on Ubuntu 14.04 using gcc 5.3. It's  available after installing

the ubuntu-toolchain-r/test PPA. We are already using it to compile a tool used by some dataminer algorithms.

After adding the PPA, you can install the packages gcc-5 g++-5 and then use gcc-5 or g++-5 as the compiler.

#3 - Mar 16, 2018 09:48 AM - Roberto Cirillo

- Status changed from New to Feedback

- Assignee changed from _InfraScience Systems Engineer to Bart Jongejan

Please, @bartj@hum.ku.dk could you reply or close this ticket if your request has been satisfied?

#4 - Mar 16, 2018 12:03 PM - Bart Jongejan

- Status changed from Feedback to Closed

It is disappointing that Ubuntu 16.04 is not installed yet. I will try the proposed solution.
